diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
index fb36c10855408811443b6c65a0de073aa1ce2319..92af4c474b81f7c72d883601c0f03d5c92be3b2a 100644
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
@@ -18,7 +18,7 @@ formatList = ['PHYSVAL',
               'TAUP1', 'TAUP2', 'TAUP3', 'TAUP4',
               'SUSY1', 'SUSY2', 'SUSY3', 'SUSY4', 'SUSY5', 'SUSY6', 'SUSY7', 'SUSY8', 'SUSY9', 'SUSY10', 'SUSY11', 'SUSY12', 'SUSY15', 'SUSY16', 'SUSY17', 'SUSY18',
               'EXOT0', 'EXOT2', 'EXOT3', 'EXOT4', 'EXOT5', 'EXOT6', 'EXOT7', 'EXOT8', 'EXOT9', 'EXOT10', 'EXOT12', 'EXOT13', 'EXOT15', 'EXOT17', 'EXOT19', 'EXOT20', 'EXOT21', 'EXOT22', 'EXOT23','EXOT24','EXOT25','EXOT26',
-              'JETM1', 'JETM2', 'JETM3', 'JETM4', 'JETM5', 'JETM6', 'JETM7', 'JETM8', 'JETM9', 'JETM10', 'JETM11', 'JETM12', 'JETM13',
+              'JETM1', 'JETM2', 'JETM3', 'JETM4', 'JETM5', 'JETM6', 'JETM7', 'JETM8', 'JETM9', 'JETM10', 'JETM11', 'JETM12', 'JETM13','JETM14',
               'IDTR1',
               'EGAM1', 'EGAM2', 'EGAM3', 'EGAM4', 'EGAM5', 'EGAM6', 'EGAM7', 'EGAM8', 'EGAM9',
               'FTAG1', 'FTAG2', 'FTAG3', 'FTAG4', 'FTAG5',
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data18JETM14.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data18JETM14.sh
new file mode 100755
index 0000000000000000000000000000000000000000..0adaac5e260d89f14b0a0c7ef2621de14de8a794
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data18JETM14.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# art-include
+# art-description: DAOD building JETM14 data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/data18_13TeV.00348403.physics_Main.merge.AOD.f920_m1947._lb0829._0001.1 --outputDAODFile art.pool.root --reductionConf JETM14 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-40"; from AthenaCommon.AlgSequence import AlgSequence; topSequence = AlgSequence(); topSequence += CfgMgr.xAODMaker__DynVarFixerAlg( "InDetTrackParticlesFixer", Containers = [ "InDetTrackParticlesAux." ] )' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_JETM14File DAOD_JETM14.art.pool.root --outputDAOD_JETM14_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_JETM14.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM14.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM14.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM14.sh
new file mode 100755
index 0000000000000000000000000000000000000000..cf646fd09c66892847d4ebcf02a6683f45902e8e
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM14.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# art-include
+# art-description: DAOD building JETM14 mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.14795494._005958.pool.root.1 --outputDAODFile art.pool.root --reductionConf JETM14 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-40" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_JETM14File DAOD_JETM14.art.pool.root --outputDAOD_JETM14_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_JETM14.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM14.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"